function vNPixels = CalcNPixles(vNCoefficients,blockHeight,blockWidth,padding)

% Calculates the number of pixels used to store the folded image
% coefficients and indexes.

if nargin < 4
    padding = 0;
end

% # of pixels per block in the image
nPixelsBlock = blockHeight*blockWidth;

% # of pixels required to store blockHeight*blockWidth information
nPixelsUsed = nPixelsBlock - padding;


% nImagePlains = numel(vNCoefficients);
% nIndexPlains = numel(vNIndexes);

% Deal with coefficient pixels
    vNBlocks = ceil(vNCoefficients/nPixelsUsed);
    vNPixels = vNBlocks*nPixelsBlock;
% - - > > #

% Indexes
%     vNIndexPixels = ceil(vNIndexes/nPixelsBlock);
% - - > > #