function meanC = CellMean(c)

% Returns the mean of all the values in a cell of arrays

% Sum
    sumC = sum(cellfun(@(x) sum(x(:)),c));
% - - > > #

% # of elements
    nEls = sum(cellfun(@numel,c));
% - - > > #

% Calculate the mean
    meanC = sumC/nEls;
% - - > > #