/* Header for functions used exclusivly by OMPMlSep */
 
#ifndef OMPMLSEP_FUNS_H
#define OMPMLSEP_FUNS_H

#include "my_types.h"

namespace OMPMlSepN
{

void ChooseAtom(double *mDictColumnsW,
        double *mDictRows,
        double *mResidule, 
        ulng nRows,
        ulng nColumns,
        ulng nColumnAtoms,
        ulng nRowAtoms,
        ulng nColours,
        double &maxValue,
        ulng &iMaxSepAtom,
        ulng &iColumnAtom,
        ulng &iRowAtom);

}

namespace OMPMlN
{
	//dbl UpdateResidule(dbl *mResidule, dbl *mImage, dbl *vOrth, dbl *vWeights,
		//ulng nColours,ulng nPixelsPlain);

	dbl UpdateResiduleW(dbl *mResidule, dbl *mImage, dbl *vOrth, dbl *vWeights,
		ulng nColours, ulng nPixelsPlain);

	dbl UpdateResidule(dbl *mResidule, dbl *mImage, dbl *vOrth,
		ulng nColours, ulng nPixelsPlain);

	void UpdateApproxW(dbl *mApprox, dbl *mResidule, ulng nPixelsPlain,
		ulng nColours, dbl *vWeights);

}

namespace OMPN
{
void UpdateResidulePlain(dbl *vResidule, dbl *vImage, dbl *vOrth, dbl weight,
	ulng nElms);
}
#endif  