function cIndex = ExpandIndex(cIndexFolded,nXBlocks,...
    nYBlocks,vNIndexes,vNCnPlain,sBlockDims,sRescale,varargin)

% Forks to the appropriate index expanding routine


% How many sets of indexes
    nIndexPlains = numel(cIndexFolded);
% - - > > #

% RGB image processed seperatly as cells of coefficients
if nIndexPlains == 3
    
    PrintWithStars('ExpandIndexRGB Routine Called');
    % Just alter the in loop var to a cell..and remove vNRowsIndex
    cIndex = ExpandIndexRGB(cIndexFolded,nXBlocks,nYBlocks,vNIndexes,...
        vNCnPlain,sBlockDims,sRescale,varargin{:});    
   
% RGB image processed Ml or grey level image, 1 set of indexes
elseif nIndexPlains == 1
    
    PrintWithStars('ExpandIndexGrey Routine Called');
    cIndex = ExpandIndexGrey(cIndexFolded{1},nXBlocks,...
        nYBlocks,vNIndexes,vNCnPlain,sBlockDims,sRescale{1},varargin{:});
     
end
