function [c1,c2,sRescale] = RescaleForSave(c1,c2,maxV)

    % Rescales the matrices m1 and m2 to have the same range of values.
        
    % Rescale m1
%         [m1 sRescale.minM1 sRescale.maxM1] = RescaleInt(m1,minV,maxV);
%         [c1 sRescale.minM1 sRescale.maxM1] = cellfun(@(x) ...
%             Rescale(x,minV,maxV),c1,'UniformOutput',0);
    [c1 sRescale.minM1 sRescale.maxM1] = cellfun(@(x) ...
        RescaleIntF(x,maxV),c1,'UniformOutput',0);        
        
        
    % - - > > #
        
    % Rescale m2
%         [m2 sRescale.minM2 sRescale.maxM2] = RescaleInt(m2,minV,maxV);
    % If the range is less than maxV then increase to unsigned value
    % Range for all cells
%         cMinC2 = cellfun(@(x) floor(min(x(:))),c2,'UniformOutput',0);
%         cMaxC2 = cellfun(@(x) max(x(:)),c2,'UniformOutput',0);
%         cRangeC2 = cellfun(@(x,y) (x-y),cMaxC2,cMinC2,'UniformOutput',0);
%     % - - > > #
%     
%     % All ranges less than maxV
%     if sum(cell2mat(cRangeC2) < maxV) == numel(cRangeC2)
%         % Add cMinC2
%         c2 = cellfun(@(x,n) (x - n),c2,cMinC2,'UniformOutput',0);
%         % minM2 and maxM2 set to the same value indicates constant
%         % adjustment
%         sRescale.minM2 = cMinC2;
%         sRescale.maxM2 = sRescale.minM2;
%     else
% 
%        [c2 sRescale.minM2 sRescale.maxM2] = cellfun(@(x) ...
%             Rescale(x,minV,maxV),c2,'UniformOutput',0); 
%         
%     end
    
%     [m intMin intRange] = RescaleForRound(m,maxT)
    [c2 sRescale.minM2 sRescale.maxM2] = cellfun(@(x) ...
        RescaleIntF(x,maxV),c2,'UniformOutput',0);
    
    
%     c2R = cellfun(@(x,m,M) Rescale(x,m,M),c2T,sRescale.minM2,...
%         sRescale.maxM2,'UniformOutput',0);        
%         
%     c2TR = cellfun(@uint16,c2T,'UniformOutput',0);
%     c2TR = cellfun(@double,c2TR,'UniformOutput',0);    
%     
%     c2R = cellfun(@(x,m,M) Rescale(x,m,M),c2TR,sRescale.minM2,...
%         sRescale.maxM2,'UniformOutput',0);     
        
    % - - > > #        
       