function RngW(seed)

% Wrapper around random number stream initialization

v = sscanf (version, '%d.%d');
% matlabVer = str2double([num2str(v(1)) '.' num2str(v(2))]);

% If pre 2011b use setDefaultStream else use rng
if (v(1) == 7 && v(2) < 13) || (v(1) < 7)
    stream = RandStream('mt19937ar','Seed',seed);
    RandStream.setDefaultStream(stream);    
else
    rng(seed);
end