function [iSubDictionary iVector] = SubDictionaryIndex(iDictionary, vSize)

nSubDictionaries = numel(vSize);
nIndexes = numel(iDictionary);

iSubDictionary = zeros(1,nIndexes);
iVector = zeros(1,nIndexes);
vCumSize = [0 cumsum(vSize)];

for i = 1:nIndexes
    
    searching = 1;
    j = 0;
    while searching
        
        j = j + 1; 
        
        if j > nSubDictionaries 
            
            error('Index in dictionary is not contained within a sub dictionary!');
            
        end
        
        if iDictionary(i) <= vCumSize(j+1)
            
            iSubDictionary(i) = j;
            iVector(i) = iDictionary(i) - vCumSize(j);
            searching = 0;
            
        end       
        
    end
    
end