function zeroIntensity = ZeroIntensity(mImage,tol)

% Checks if a block has zero intensity
%   Considered zero if SSE is already < tol, i.e. greedy search is not
% necessary.

zeroIntensity = 0;

if sum(mImage(:).^2) < tol
    zeroIntensity = 1;
end